<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/root/modules/module_roster/tab">
        <li>
            <a href="#module_roster_tab_content">
            	<xsl:attribute name="title"><xsl:value-of select="/root/trans_texts/tabs.Contacts" /></xsl:attribute>
            	<i class="fa fa-users"></i>
            </a>
        </li>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/searchbox">
        <div id="module_roster_search_panel_in_tab"></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/click2call">
        <button id="click2call_btn"></button>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/my-icon">
    	<span id="myStatusImg" class="status status-18" style="float:left !important;display:none;">
			<xsl:attribute name="title"><xsl:value-of select="/root/trans_texts/hint.ChangeOnlineStatus"/></xsl:attribute>
    	</span>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster">
            <div id="module_roster_tab_content">
            	<!--  div id="btn_roster_window_switcher">
            		<input checked="checked" type="radio" id="list_view" target="roster_window" name="radio" /><label for="list_view"><xsl:value-of select="/root/trans_texts/roster.ListView" /></label>
            		<input disabled="disabled" type="radio" id="map_view" target="map_window" name="radio" /><label for="map_view"><xsl:value-of select="/root/trans_texts/roster.MapView" /></label>
            	</div-->
                <div id="roster-tabs-container">

                </div>

				<div id="roster_window" >
                    <xsl:if test="/root/modules/module_roster/@enabled = '1'">
                        <div id="roster_items" class="roster_items" style="float:left">
                        </div>
                    </xsl:if>
				</div>

				<div style="clear:both" />
            </div>
            <div id="map_window" style="display: none;" ></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/context-menu">
    	<xsl:if test="/root/modules/module_roster/@enabled = '1'">
			<div id="roster_context_menu" class="cti_context_menu block_shadow">
                <ul>
                    <li rel="chat"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.StartChat"/></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/context.menu.Call"/>: <span></span></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.OfficeNumber"/>: <span></span></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.MobileNumber"/>: <span></span></a></li>
                    <li rel="sms"><a href="#"><xsl:value-of select="/root/trans_texts/sms.SendSMS"/>: <span></span></a></li>
                    <li rel="fax"><a href="#"><xsl:value-of select="/root/trans_texts/main.Fax"/>: <span></span></a></li>
                    <xsl:if test="/root/modules/module_postit/button/@enabled = '1'">
                        <li rel="message"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.SendMessage"/></a></li>
                    </xsl:if>
                    <li rel="recall"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.CallMe"/></a></li>
                    <li rel="email"><a href="#"><xsl:value-of select="/root/trans_texts/main.EMail"/>: <span></span></a></li>
                    <li rel="showbyphone"><a href="#"><xsl:value-of select="/root/trans_texts/link.ShowContact"/></a></li>
                    <li rel="pickup"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.PickUp"/></a></li>
                    <li rel="listen"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Listen"/></a></li>
                    <li rel="barge"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Barge"/></a></li>
                    <li rel="whisper"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Whisper"/></a></li>
                    <li rel="setPresence"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.setPresence"/></a></li>
                    <li rel="del"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Remove"/></a></li>
                    <xsl:if test="/root/@ipad > 0">
                        <hr/>
                        <li rel="close"><a href="#"><xsl:value-of select="/root/trans_texts/buttons.Close"/></a></li>
                    </xsl:if>
                </ul>
			</div>
		</xsl:if>
    </xsl:template>

</xsl:stylesheet>
